import request from '@/utils/request'

// 执行度分秒转度
export function calculate(data) {
    return request({
        url: `/calculate/DMSToDegree/calculate`,
        method: 'post',
        data: data
    })
}

// 导入 Excel
export function importExcel(data) {
    return request({
        url: `/calculate/DMSToDegree/import`,
        method: 'post',
        data: data,
        headers: {
            'Content-Type': 'multipart/form-data'
        }
    })
}

// 导出度分秒转度结果
export function exportExcel(data) {
    return request({
        url: `/calculate/DMSToDegree/export`,
        method: 'post',
        data: data,
        responseType: 'blob'
    })
}